#
# spec file for package perl-Catalyst-Component-InstancePerContext
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Catalyst-Component-InstancePerContext
Version:        0.001001
Release:        6.1
License:        GPL+ or Artistic
%define cpan_name Catalyst-Component-InstancePerContext
Summary:        fancy that
Url:            http://search.cpan.org/dist/Catalyst-Component-InstancePerContext/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/G/GR/GRODITI/Catalyst-Component-InstancePerContext-%{version}.tar.gz
BuildRequires:  perl(Catalyst)
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(Catalyst)
Requires:       perl(Moose)
Requires:       perl(Scalar::Util)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
sorry, no description found

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix Build
* Fri Nov 18 2011 coolo@suse.com
- use original tar.gz
* Wed Jan 19 2011 coolo@novell.com
- initial package 0.001001
  * created by cpanspec 1.78.03
